﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
// Reference to ViewModel.
using XamGrid_sample.ViewModel;
using System.Globalization;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;

namespace XamGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class AllowSelectionConverter : IValueConverter
    {
        object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var allowMultipleSelection = value as bool?;
            
            switch(allowMultipleSelection)
            {
                case true:  return SelectionType.Multiple;
                case false: return SelectionType.Single;
                case null:  return SelectionType.None;
                default:    return SelectionType.None;
            }            
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
